package com.marvinelsen.moedict.api

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class MoedictEntry(
    val title: String,
    val heteronyms: List<MoedictHeteronym>,
    @SerialName("stroke_count") val strokeCount: Int? = null,
    @SerialName("non_radical_stroke_count") val nonRadicalStrokeCount: Int? = null,
    val radical: String? = null,
)
