package com.marvinelsen.moedict.api

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class MoedictHeteronym(
    @SerialName("bopomofo") val zhuyin: String? = null,
    @SerialName("pinyin") val pinyinWithToneMarks: String? = null,
    val definitions: List<MoedictDefinition>,
)
